"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = loader;

var _json = _interopRequireDefault(require("json5"));

var _loaderUtils = require("loader-utils");

var _schemaUtils = require("schema-utils");

var _options = _interopRequireDefault(require("./options.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
*/
function loader(source) {
  const options = (0, _loaderUtils.getOptions)(this);
  (0, _schemaUtils.validate)(_options.default, options, {
    name: 'JSON5 Loader',
    baseDataPath: 'options'
  });
  let value;

  try {
    value = _json.default.parse(source);
  } catch (error) {
    this.emitError(error);
  }

  value = value ? _json.default.stringify(value, null).replace(/\u2028/g, '\\u2028').replace(/\u2029/g, '\\u2029') : source;
  const esModule = typeof options.esModule !== 'undefined' ? options.esModule : true;
  return `${esModule ? 'export default' : 'module.exports ='} ${value}`;
}